Catmandu::Importer::Inspire(3pm)

NAME
  Catmandu::Importer::Inspire - Package that imports Inspire data http://inspirehep.net/.

SYNOPSIS
  use Catmandu::Importer::Inspire;

  my %attrs = (
    id => '1203476',
    fmt => 'endnote',
  );

  my $importer = Catmandu::Importer::Inspire->new(%attrs);

  my $n = $importer->each(sub {
    my $hashref = $_[0];
    # ...
  });

CONFIGURATION

id  Retrieve record by its Inspire ID.

doi Retrieve record by its DOI from Inspire database.

query
    Get results by an arbitrary query.

fmt Specify the format to be delivered. Default is to 'endnote'. Other formats are 'nlm', 'marc' and 'dc'.

limit
    Maximum number of records. Default is to 25.

SEE ALSO
Catmandu::Iterable, Catmandu::ArXiv, Catmandu::CrossRef